Bug 507342 - Stacktrace on grub update
Stacktrace on grub update
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2009-06-22 08:45 EDT by Pavel Alexeev
Modified: 2014-01-21 18:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-04-30 14:10:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Attached traceback automatically from anaconda. (145.61 KB, text/plain)
2009-06-22 08:45 EDT, Pavel Alexeev
no flags Details

  None (edit)
Description Pavel Alexeev 2009-06-22 08:45:00 EDT
The following was filed automatically by anaconda:
anaconda exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 1234, in _do_grab
    else: new_fo = open(self.filename, 'wb')
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 928, in retryfunc
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 851, in _retry
    r = apply(func, (opts,) + args, {})
  File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 940, in urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/usr/lib/anaconda/yuminstall.py", line 512, in mediaHandler
    text=kwargs["text"], range=kwargs["range"], copy_local=1)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 726, in _getFile
    result = self.mediafunc(local = local, checkfunc = checkfunc, relative = relative, text = text, copy_local = copy_local, url = url, mediaid = self.mediaid, name = self.name, discnum = discnum, range = (start, end))
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 930, in _getFileRepoXML
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1149, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1303, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1319, in _loadRepoXML
    return self._groupLoadRepoXML(text, ["primary"])
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1329, in _getRepoXML
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1337, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1174, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 220, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 162, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.6/site-packages/yum/repos.py", line 260, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 488, in _getSacks
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 464, in doSackSetup
    return self._getSacks(archlist=archlist, thisrepo=thisrepo)
  File "/usr/lib/anaconda/yuminstall.py", line 1078, in <lambda>
    self.__withFuncDo(anaconda, lambda r: self.ayum.doSackSetup(thisrepo=r.id),
  File "/usr/lib/anaconda/yuminstall.py", line 1105, in __withFuncDo
  File "/usr/lib/anaconda/yuminstall.py", line 1079, in doSackSetup
    thisrepo=thisrepo, fatalerrors=fatalerrors)
  File "/usr/lib/anaconda/yuminstall.py", line 1033, in doBackendSetup
  File "/usr/lib/anaconda/backend.py", line 271, in doBackendSetup
    if anaconda.backend.doBackendSetup(anaconda) == DISPATCH_BACK:
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
  File "/usr/lib/anaconda/gui.py", line 1330, in nextClicked
IOError: [Errno 2] Нет такого файла или каталога: '/mnt/sysimage/var/cache/yum/anaconda-InstallationRepo-200904231349.i386/repomdoMJt9dtmp.xml'
Comment 1 Pavel Alexeev 2009-06-22 08:45:08 EDT
Created attachment 348886 [details]
Attached traceback automatically from anaconda.
Comment 2 seth vidal 2009-06-24 12:04:27 EDT
Anaconda people:
How does the dir '/mnt/sysimage/var/cache/yum/anaconda-InstallationRepo-200904231349.i386/' get created? 

Trying to figure out if the no such file or directory is b/c the dir doesn't exist or b/c the file doesn't exist.
Comment 3 Chris Lumens 2009-06-29 09:46:00 EDT
We don't explicitly create or set cache directory paths anymore in anaconda.  The setting should all be handled by YumRepository.__init__, right?
Comment 4 seth vidal 2009-06-29 09:53:07 EDT
okay, then what is naming the repo?
Comment 5 Bug Zapper 2009-11-16 05:18:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
Comment 6 seth vidal 2010-04-29 14:45:52 EDT
Pavel - is this still happening anywhere in f12? I haven't gotten any other reports and can't replicate it here.

Comment 7 Pavel Alexeev 2010-04-30 14:01:27 EDT
It have not reproduced on Fedora 13. I think it may be safely closed.

Note You need to log in before you can comment on or make changes to this bug.